<div align="center">

<h1>gc-model-monitoring</h1>

*A lightweight model monitoring library for GenCrafter AI systems*
<br>
![PyPI](https://img.shields.io/pypi/v/gc-model-monitoring)
![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)
![Python](https://img.shields.io/badge/python-%3E%3D3.7-blue)

</div>


## What is gc-model-monitoring

gc-model-monitoring is an open source library for logging any kind of data. With gc-model-monitoring, users are able to generate summaries of their datasets (called gc-model-monitoring profiles) which they can use to:

- Track changes in their dataset  
- Create data constraints to know whether their data looks the way it should  
- Quickly visualize key summary statistics about their datasets  

These three functionalities enable a variety of use cases for data scientists, machine learning engineers, and data engineers:

- Detect data drift in model input features  
- Detect training-serving skew, concept drift, and model performance degradation  
- Validate data quality in model inputs or in a data pipeline  
- Perform exploratory data analysis of massive datasets  
- Track data distributions & data quality for ML experiments  
- Enable data auditing and governance across the organization  
- Standardize data documentation practices across the organization  
- And more  

`gc-model-monitoring` is a powerful Python package for monitoring the health and performance of your ML models. It helps ensure AI reliability, drift detection, and data integrity.

---

## 🚀 Features

- 📊 Data profile logging  
- ⚠️ Drift and anomaly detection  
- 🔐 Security and privacy monitoring  
- 📁 Integration with cloud and on-prem logs  

---


## ⚡ Quickstart

Install gc-model-monitoring using the pip package manager in a terminal by running:

```bash
pip install gc-model-monitoring

